/* Newsletter section - START */
.newsletter-section {
  overflow-x: hidden;
  overflow-x: clip;
}

.newsletter-wrapper {
  position: relative;
  z-index: 0;
}

.newsletter-wrapper .newsletter-bg {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
}

.newsletter-wrapper .newsletter-bg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.newsletter-wrapper .newsletter-bg::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  background-color: rgb(var(--overlay-background) / calc(var(--_overlay-opacity, 0) / 100));
}

.newsletter-wrapper .newsletter-header:not(:last-child),
.newsletter-wrapper .newsletter-form-container:not(:last-child) {
  margin-bottom: calc(2rem * var(--body-scale));
}

.newsletter-wrapper .newsletter-form-container {
  width: min(550px, 100%);
  margin-inline: auto;
}

.newsletter-wrapper .newsletter-fields {
  display: flex;
  flex-wrap: wrap;
  gap: calc(1rem * var(--body-scale));
  justify-content: center;
}

.newsletter-wrapper .newsletter-fields input {
  flex-grow: 1;
  scroll-margin-top: max(50vh, calc(var(--header-height) + 1.5rem));
}

.newsletter-wrapper .form-message {
  display: none;
  margin-bottom: calc(1rem * var(--body-scale));
}

.newsletter-form-container.form-target-active .form-message {
  display: block;
}

@media(max-width: 566px) {
  .newsletter-wrapper .newsletter-fields .btn {
    min-width: unset;
    width: 100%;
    justify-content: center;
  }
}

.newsletter-wrapper .newsletter-form-container.text-left {
  margin-inline: 0 auto;
}

.newsletter-wrapper .newsletter-form-container.text-center {
  margin-inline: auto;
}

.newsletter-wrapper .newsletter-form-container.text-right {
  margin-inline: auto 0;
}

.newsletter-wrapper .newsletter-form-container.text-left .newsletter-fields {
  justify-content: flex-start;
}

.newsletter-wrapper .newsletter-form-container.text-center .newsletter-fields {
  justify-content: center;
}

.newsletter-wrapper .newsletter-form-container.text-right .newsletter-fields {
  justify-content: flex-end;
}

/* Newsletter section - END */